CLOUDSERVERS(1)

NAME
cloudservers - Command-line interface to the Cloud Servers API.

SYNOPSIS
cloudservers [ --username USERNAME ] [ --apikey APIKEY ] <subcommand>

DESCRIPTION
cloudservers is a command line interface to the Rackspace Cloud Servers API.

COMMAND OVERVIEW

cloudservers backup-schedule
    Show or edit the backup schedule for a server.

cloudservers backup-schedule-delete
    Delete the backup schedule for a server.

cloudservers boot
    Boot a new server.

cloudservers delete
    Immediately shut down and delete a server.

cloudservers flavor-list
    Print a list of available 'flavors' (sizes of servers).

cloudservers help
    Display help about this program or one of its subcommands.

cloudservers image-create
    Create a new image by taking a snapshot of a running server.

cloudservers image-delete
    Delete an image.

cloudservers image-list
    Print a list of available images to boot from.

cloudservers ip-share
    Share an IP address from the given IP group onto a server.

cloudservers ip-unshare
    Stop sharing an given address with a server.

cloudservers ipgroup-create
    Create a new IP group.

cloudservers ipgroup-delete
    Delete an IP group.

cloudservers ipgroup-list
    Show IP groups.

cloudservers ipgroup-show
    Show details about a particular IP group.

cloudservers list
    List active servers.

cloudservers reboot
    Reboot a server.

cloudservers rebuild
    Shutdown, re-image, and re-boot a server.

cloudservers rename
    Rename a server.

cloudservers resize
    Resize a server.

cloudservers resize-confirm
    Confirm a previous resize.

cloudservers resize-revert
    Revert a previous resize (and return to the previous VM).

cloudservers root-password
    Change the root password for a server.

cloudservers show
    Show details about the given server.

  Optional arguments:

--username USERNAME
    Defaults to env[CLOUD_SERVERS_USERNAME].

--apikey APIKEY
    Defaults to env[CLOUD_SERVERS_API_KEY].

See "cloudservers help COMMAND" for help on a specific command.